summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2014-01-31 09:03:06 +0700
committer Robby Workman <rworkman@slackbuilds.org>2014-02-01 00:40:33 -0600
commit459c09f5f6ecd5c137612e0c7387e10a3a9868b5 (patch)
tree270a226aedcc3ac5e861ba1abaf851efbb0d8716 /desktop
parent22892caf3fc5ba932acf20363524f5afcd4b7364 (diff)
downloadslackbuilds-459c09f5f6ecd5c137612e0c7387e10a3a9868b5.tar.gz
slackbuilds-459c09f5f6ecd5c137612e0c7387e10a3a9868b5.tar.xz
desktop/xfce4-fsguard-plugin: Added (Checks free space).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/xfce4-fsguard-plugin/README5
-rw-r--r--desktop/xfce4-fsguard-plugin/doinst.sh9
-rw-r--r--desktop/xfce4-fsguard-plugin/slack-desc19
-rw-r--r--desktop/xfce4-fsguard-plugin/xfce4-fsguard-plugin.SlackBuild104
-rw-r--r--desktop/xfce4-fsguard-plugin/xfce4-fsguard-plugin.info10
5 files changed, 147 insertions, 0 deletions
diff --git a/desktop/xfce4-fsguard-plugin/README b/desktop/xfce4-fsguard-plugin/README
new file mode 100644
index 0000000000..99932f309e
--- /dev/null
+++ b/desktop/xfce4-fsguard-plugin/README
@@ -0,0 +1,5 @@
+The FSGuard panel plugin checks free space on a chosen mount point
+frequently and displays a message when a limit is reached. There are
+two limits: a warning limit where only the icon changes, and an urgent
+limit that advise the user with a message. The icon button can be
+clicked to open the chosen mount point.
diff --git a/desktop/xfce4-fsguard-plugin/doinst.sh b/desktop/xfce4-fsguard-plugin/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/desktop/xfce4-fsguard-plugin/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/xfce4-fsguard-plugin/slack-desc b/desktop/xfce4-fsguard-plugin/slack-desc
new file mode 100644
index 0000000000..a360171911
--- /dev/null
+++ b/desktop/xfce4-fsguard-plugin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xfce4-fsguard-plugin: xfce4-fsguard-plugin (Checks free space on a chosen mount point)
+xfce4-fsguard-plugin:
+xfce4-fsguard-plugin: The FSGuard panel plugin checks free space on a chosen mount
+xfce4-fsguard-plugin: point frequently and displays a message when a limit is reached.
+xfce4-fsguard-plugin:
+xfce4-fsguard-plugin: Homepage: http://goodies.xfce.org
+xfce4-fsguard-plugin:
+xfce4-fsguard-plugin:
+xfce4-fsguard-plugin:
+xfce4-fsguard-plugin:
+xfce4-fsguard-plugin:
diff --git a/desktop/xfce4-fsguard-plugin/xfce4-fsguard-plugin.SlackBuild b/desktop/xfce4-fsguard-plugin/xfce4-fsguard-plugin.SlackBuild
new file mode 100644
index 0000000000..a44472cb5b
--- /dev/null
+++ b/desktop/xfce4-fsguard-plugin/xfce4-fsguard-plugin.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for xfce4-fsguard-plugin
+
+# Copyright 2014 Dimitris Zlatanidis Greece-Orestiada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xfce4-fsguard-plugin
+VERSION=${VERSION:-1.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/xfce4-fsguard-plugin/xfce4-fsguard-plugin.info b/desktop/xfce4-fsguard-plugin/xfce4-fsguard-plugin.info
new file mode 100644
index 0000000000..55ae4eb483
--- /dev/null
+++ b/desktop/xfce4-fsguard-plugin/xfce4-fsguard-plugin.info
@@ -0,0 +1,10 @@
+PRGNAM="xfce4-fsguard-plugin"
+VERSION="1.0.1"
+HOMEPAGE="http://goodies.xfce.org/"
+DOWNLOAD="http://archive.xfce.org/src/panel-plugins/xfce4-fsguard-plugin/1.0/xfce4-fsguard-plugin-1.0.1.tar.bz2"
+MD5SUM="9c179371475e2837004cc208026e30c1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"